# Drivers License

## Verify a Drivers license ID

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v1/biometrics/merchant/data/verification/sl/drivers_license`

this endpoint allows you to verify a sierra leone Voters card number

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | \<your secret key> |

#### Request Body

| Name                                           | Type   | Description                           |
| ---------------------------------------------- | ------ | ------------------------------------- |
| search\_mode<mark style="color:red;">\*</mark> | String | ID or BIO                             |
| number                                         | String | ID number(if search \_mode is ID)     |
| firstname                                      | String | first name(if search\_mode is BIO)    |
| lastname                                       | String | last name(if search\_mode is BIO)     |
| dob                                            | String | Date of birth(if search\_mode is BIO) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "status":True,
   "response_code":"00",
   "message":"Drivers license verification successful",
   "data":
   {
"idnumber":"DL34545454 ",
"firstname":"John",
"surname":"Doe",
"middlename": "Mill",
"dateofbirth": "20-12-1985",
"placeofbirth": "Joe Town",
"residentialaddress": "North Industrial Street",
"expirydate":"2/3/2019",
"issuedate":"2/3/2014 ",
"idclass":"A",
"issuesignature": "<base 64 string of image> ",
"signature":" <base 64 string of image>  ",
"frontportrait":"<base 64 string of image> "
}
   
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/sierra-leone/drivers-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
